Subject: Re: default @INC and where to install perl modules? (was Re: libbonobo
To: None <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 02/17/2005 12:15:49
I filed a PR on this.

I still have same problem. It doesn't make sense for me to workaround my
problem by rebuilding all my p5 module packages, because the problem will
exists for others (and myself later) using binary packages.

Does anyone have any comment on this?

I prefer to not use version specific directories.

I'd rather not bump PKGREVISION of every p5- package and bump the DEPENDS
for everything using them. In the long run, using generic perl module
directories will make it easier and only PKGREVISIONs will need to be
bumped if it is required.

I was told some perl modules are specific to certain versions of perl, but
we can do those on a case-by-case basis.

 Jeremy C. Reed

 	  	 	 BSD News, BSD tutorials, BSD links